<?php
/**
 * Plugin Helper File
 *
 * @package         AdminBar Docker
 * @version         2.3.1
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2012 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

/**
 * Plugin that docks the admin toolbars
 */
class plgSystemAdminBarDockerHelper
{
	function __construct(&$params)
	{
		$this->params = $params;
	}

	/*
	 * Place scripts and styles and load language
	 */
	function onAfterDispatch()
	{
		JHtml::_('behavior.mootools');

		require_once JPATH_PLUGINS . '/system/nnframework/helpers/versions.php';
		$version = NoNumberVersions::getXMLVersion('adminbardocker', 'system', null, 1);

		$this->template = JAdministrator::getTemplate();
		if (!file_exists(JPATH_PLUGINS . '/system/adminbardocker/templates/' . $this->template . '/script.js')) {
			// if template folder does not exist, fall back on default template khepri
			$this->template = 'khepri';
		}

		$ignorecookie = 0;
		if ($this->params->showonpopups != 1) {
			$tmpl = JRequest::getCmd('tmpl', 'index');
			if (!in_array($tmpl, array('index', 'cpanel')) || JRequest::getInt('nn_qp')) {
				if ($this->params->showonpopups == 2) {
					$this->params->dock_state = 'docked';
					$ignorecookie = 1;
				} else {
					return;
				}
			}
		}

		require_once JPATH_PLUGINS . '/system/nnframework/helpers/versions.php';
		$mt_version = NoNumberVersions::getMooToolsVersion();

		$document = JFactory::getDocument();
		$document->addScript(JURI::root(true) . '/plugins/system/adminbardocker/templates/' . $this->template . '/script.js' . $version);
		$document->addScript(JURI::root(true) . '/plugins/system/adminbardocker/js/script' . $mt_version . '.js' . $version);
		$document->addStyleSheet(JURI::root(true) . '/plugins/system/adminbardocker/css/style.css' . $version);
		$document->addStyleSheet(JURI::root(true) . '/plugins/system/adminbardocker/templates/' . $this->template . '/style.css' . $version);


		$set_cookies = array();
		if ($this->params->dock_state == 'undocked') {
			$set_cookies[] = 'ABD_setCookie( \'abd_dock_state\', \'undocked\' );';
		}

		$user = JFactory::getUser();
		$settings_url = '';
		if ($user->usertype == 'Super Administrator' || $user->usertype == 'Administrator') {
			$db = JFactory::getDBO();
			$query = 'SELECT id
				FROM #__plugins
				WHERE element = ' . $db->quote('adminbardocker') . '
				AND folder = ' . $db->quote('system') . '
				LIMIT 1';
			$db->setQuery($query);
			$pluginid = (int) $db->loadResult();
			if ($pluginid) {
				$settings_url = JURI::base() . 'index.php?option=com_plugins&view=plugin&client=site&task=edit&cid[]=' . $pluginid;
			} else {
				$settings_url = JURI::base() . 'index.php?option=com_plugins&client=site&search=system%20-%20adminbar%20docker';
			}
		}
		$script = "
			var abd_top = [];
			var abd_toggle_top = [];
			var abd_toggle_bottom = [];
			var abd_bottom = [];
			var abd_settings_url = '" . $settings_url . "';
			window.addEvent( 'domready', function() {
				" . implode("\n\t\t\t\t", $set_cookies) . "
				new AdminBarDocker(
					'" . $this->template . "',
				 	[
				 		'" . addslashes(JText::_('ABD_SETTINGS')) . "',
						'" . addslashes(JText::_('ABD_UNDOCK')) . "',
						'" . addslashes(JText::_('ABD_DOCK')) . "',
						'" . addslashes(JText::_('ABD_RELOAD')) . "',
						'" . addslashes(JText::_('ABD_TO_TOP')) . "',
						'" . addslashes(JText::_('ABD_TO_BOTTOM')) . "',
					],
					" . $this->params->hidetopbar . ",
					" . $ignorecookie . "
				);
			});
		";
		$document->addScriptDeclaration(preg_replace("#\s+#s", ' ', $script));
	}
}
